Bug 490560 - RFE: Change grouplist output (show group ids as well)
RFE: Change grouplist output (show group ids as well)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 19:57 EDT by Rahul Sundaram
Modified: 2014-01-21 18:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 13:17:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-03-16 19:57:30 EDT
Description of problem:

I need yum to list the groupids in a yum grouplist first and perhaps include the expanded name within brackets. While the expanded names are nice for the graphical package managers and Anaconda, the groupid is much much easier to type in the command line and should be listed first. 

I generally do something like the following to install a group

# yum install @kde-desktop 

The group id is listed in comps.xml and is not otherwise visible at all.For some other groups, the expanded name is much difficult to type directly (a mix of captial, mixed case words with spaces in between) and almost impossible to remember offhand and users have to resort to yum grouplist, copy and paste the name as a argument to yum groupinstall.
Comment 1 James Antill 2009-03-17 09:57:17 EDT
 I'm not sure we want this in grouplist, but we did add it to verbose groupinfo so:

yum groupinfo -v '*' | fgrep Group-Id
Comment 2 Rahul Sundaram 2009-03-17 10:11:53 EDT
I think it doesn't make sense to give preference to the group name over the group id in the command line. group id is far more easier in most cases. Yum grouplist shows things like "SUGAR Desktop Environment" and casing and spaces is important and has to be covered within quotes while it is much easier to remember or type @sugar-desktop.
Comment 3 James Antill 2009-05-05 13:17:25 EDT
 Adding -v to grouplist will show this now.
Comment 4 Rahul Sundaram 2009-05-24 20:00:23 EDT
Can you get it list the ids by default instead of adding another option to do it? Btw the man page still claims -v is only for debugging output.  Perhaps you can mention that -v is a option for grouplist to list the ids as well if you are not doing it by default.

Note You need to log in before you can comment on or make changes to this bug.